summaryrefslogtreecommitdiffstats
path: root/testpar/testph5.sh.in
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2011-01-12 04:38:59 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2011-01-12 04:38:59 (GMT)
commit2f54a4ba53f86369d912dd73f3ccfb9055aa36ca (patch)
tree0c2ccbb29d6e2bb3dedec4d618e872874e672f53 /testpar/testph5.sh.in
parent38f18282ba6f66e45e64cdd11e942ea86e0b3496 (diff)
downloadhdf5-2f54a4ba53f86369d912dd73f3ccfb9055aa36ca.zip
hdf5-2f54a4ba53f86369d912dd73f3ccfb9055aa36ca.tar.gz
hdf5-2f54a4ba53f86369d912dd73f3ccfb9055aa36ca.tar.bz2
[svn-r19941] Purpose:
Moved the two shape same tests from testphdf5 to a separated executables, named t_shapesame. The shape same tests runs too long for testphdf5. In a separated executalbe, it will be easier to separate any errors in testphdf5 sub-tests from the shape same tests. t_shapesame.c: Contains the shape same tests (cloned from t_rank_projection.c) plus a duplicate of "testphdf5.c" for now. After verifying it is correct, more cleanup is needed. testphdf5.c: Removed the two shape same tests (chsssdrpio & cbhsssdrpio). Makefile.am: Makefile.in: Added t_shapesame as a new test executable. Removed t_rank_projections.c from part of testphdf5. testph5.sh.in: Temporary added the "t_shapesame -p" test for testing shape same tests with MPIO-Posix VFD. Tested: h5committested, plus serial jam.
Diffstat (limited to 'testpar/testph5.sh.in')
-rw-r--r--testpar/testph5.sh.in12
1 files changed, 12 insertions, 0 deletions
diff --git a/testpar/testph5.sh.in b/testpar/testph5.sh.in
index 11a6e7e..b6e0cd4 100644
--- a/testpar/testph5.sh.in
+++ b/testpar/testph5.sh.in
@@ -60,6 +60,18 @@ TOOLTEST() {
# testphdf5 test using the MPI-POSIX VFL driver
TOOLTEST -p
+# Temporary patch:
+# Run t_shapesame this way. Need more permanent solution.
+TEST_APP_BIN=t_shapesame
+echo $RUNPARALLEL t_shapesame -p
+eval $RUNPARALLEL t_shapesame -p
+
+# Check if the command failed and increment nerrors if so.
+if test $? -ne 0 ; then
+ nerrors="`expr $nerrors + 1`"
+fi
+# Temporary patch ended.
+
# Emit message about testing status
if test $nerrors -eq 0 ; then
echo "All $TEST_APP tests passed."